Skip to main content
`Ctrl`+`K`

# pandas.Series.str.endswith

Series.str.endswith(pat, na=<no_default>)

  Test if the end of each string element matches a pattern.

  Equivalent to `str.endswith()`.

  Parameters:
    pat str or tuple[str, …]

      Character sequence or tuple of strings. Regular expressions are not accepted.

    na scalar, optional

      Object shown if element tested is not a string. The default depends on dtype of the array. For object-dtype, `numpy.nan` is used. For the nullable `StringDtype`, `pandas.NA` is used. For the `"str"` dtype, `False` is used.

  Returns:
    Series or Index of bool

      A Series of booleans indicating whether the given pattern matches the end of each string element.

  See also

  `str.endswith`

    Python standard library string method.

  `Series.str.startswith`

    Same as endswith, but tests the start of string.

  `Series.str.contains`

    Tests if string element contains a pattern.

  Examples

      >>> s = pd.Series(['bat', 'bear', 'caT', np.nan])
      >>> s
      0     bat
      1    bear
      2     caT
      3     NaN
      dtype: object

      >>> s.str.endswith('t')
      0     True
      1    False
      2    False
      3      NaN
      dtype: object

      >>> s.str.endswith(('t', 'T'))
      0     True
      1    False
      2     True
      3      NaN
      dtype: object

  Specifying na to be False instead of NaN.

      >>> s.str.endswith('t', na=False)
      0     True
      1    False
      2    False
      3    False
      dtype: bool